### Hierarchy

- Rejection

## Index

### Constructors

- constructor

### Properties

- $id
- detail
- message
- redirected
- type

### Methods

- toPromise
- toString
- aborted
- errored
- ignored
- invalid
- isRejectionPromise
- normalize
- redirected
- superseded

## Constructors

- new Rejection(type: number, message?: string, detail?: any): Rejection

- #### Parameters

  - ##### type number

  - ##### message: Optional string

  - ##### detail: Optional any

  #### Returns Rejection

  - Defined in transition/rejectFactory.ts:79

## Properties

$id: number = id++

- Defined in transition/rejectFactory.ts:18

detail: any

- Defined in transition/rejectFactory.ts:21

message: string

- Defined in transition/rejectFactory.ts:20

redirected: boolean

- Defined in transition/rejectFactory.ts:22

type: number

- Defined in transition/rejectFactory.ts:19

## Methods

- toPromise(): Promise<any>

- #### Returns Promise<any>

  - Defined in transition/rejectFactory.ts:95

- toString(): string

- #### Returns string

  - Defined in transition/rejectFactory.ts:87

- aborted(detail?: any): Rejection

- Returns a Rejection due to aborted transition

- Returns a Rejection due to aborted transition

  #### Parameters

  - ##### detail: Optional any

  #### Returns Rejection

  - Defined in transition/rejectFactory.ts:57

- errored(detail?: any): Rejection

- Returns a Rejection due to aborted transition

- Returns a Rejection due to aborted transition

  #### Parameters

  - ##### detail: Optional any

  #### Returns Rejection

  - Defined in transition/rejectFactory.ts:63

- ignored(detail?: any): Rejection

- Returns a Rejection due to ignored transition

- Returns a Rejection due to ignored transition

  #### Parameters

  - ##### detail: Optional any

  #### Returns Rejection

  - Defined in transition/rejectFactory.ts:51

- invalid(detail?: any): Rejection

- Returns a Rejection due to invalid transition

- Returns a Rejection due to invalid transition

  #### Parameters

  - ##### detail: Optional any

  #### Returns Rejection

  - Defined in transition/rejectFactory.ts:45

- isRejectionPromise(obj: any): boolean

- Returns true if the obj is a rejected promise created from the `asPromise` factory

- Returns true if the obj is a rejected promise created from the `asPromise` factory

  #### Parameters

  - ##### obj any

  #### Returns boolean

  - Defined in transition/rejectFactory.ts:25

- normalize(detail?: Rejection | Error | any): Rejection

- Returns a Rejection

- Returns a Rejection

  Normalizes a value as a Rejection. If the value is already a Rejection, returns it. Otherwise, wraps and returns the value as a Rejection (Rejection type: ERROR).

  #### Parameters

  - ##### detail: Optional Rejection | Error | any

  #### Returns Rejection

  :

  `detail` if it is already a `Rejection`, else returns an ERROR Rejection.

  - Defined in transition/rejectFactory.ts:77

- redirected(detail?: any): Rejection

- Returns a Rejection due to redirected transition

- Returns a Rejection due to redirected transition

  #### Parameters

  - ##### detail: Optional any

  #### Returns Rejection

  - Defined in transition/rejectFactory.ts:40

- superseded(detail?: any, options?: any): Rejection

- Returns a Rejection due to transition superseded

- Returns a Rejection due to transition superseded

  #### Parameters

  - ##### detail: Optional any

  - ##### options: Optional any

  #### Returns Rejection

  - Defined in transition/rejectFactory.ts:30

Generated using TypeDoc